INTERFACE
SUBROUTINE GPGRPAD(&
 & LDVERCOR,&
 & KPROMA,&
 & KPROMNH,KSTART,KPROF,KFLEV,&
 & PRT,PRTL,PRTM,&
 & PREL,PREM,PRTGR,&
 & PALPH,PALPHPLL,PALPHPLM,&
 & PHIHL,PHIHM,PHIFL,PHIFM,&
 & PSGRTL,PSGRTM,&
 & PRT5,PRT5L,PRT5M,&
 & PRE5L,PRE5M,PRTGR5,&
 & PALPH5,PALPHPL5L,PALPHPL5M,&
 & PHIF5L,PHIF5M&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMNH
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
LOGICAL ,INTENT(IN) :: LDVERCOR
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRT(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRTL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRTM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PREL(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PREM(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRTGR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALPH(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALPHPLL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALPHPLM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHIHL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHIHM(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHIFL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PHIFM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSGRTL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSGRTM(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRT5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRT5L(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRT5M(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5L(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRE5M(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTGR5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPHPL5L(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPHPL5M(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIF5L(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PHIF5M(KPROMA,KFLEV)
END SUBROUTINE GPGRPAD
END INTERFACE
